Subject: Re: bug#27036: Acknowledgement (25.1; Blocking call to accept-process-output with quit inhibited!!)

From: Dmitry Gutov <[email-masked]>
Date: Wed, 31 May 2017 01:39:02 +0300

On 5/30/17 10:46 AM, Francesco Potortì wrote:

> It does not seem to work, sorry.  I launch a long-running command in the
> inferior octave buffer, then in another window I go and edit the octave
> source.  After a while everything is frozen. 

Did you start with 'emacs -Q'? Or do you have e.g. company-mode enabled?

> I did not restart emacs for testing, I just evaluated the patched
> octave.el.  Is that alright?

Probably.

> Does it makes sense at all to use the same process for interaction and
> for asking help?  Wouldn't it be simpler and more robust if a dedicated
> octave process was started for eldoc?

No simpler, no. It's certainly easier to leave starting the process up 
to the user. Especially when projects and user code are involved.